# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    depends_on = (
        ('common', '0002_add_jenkins_models'),
    )

    def forwards(self, orm):
        # Adding model 'CoverageProduct'
        db.create_table(u'gaps_coverageproduct', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal(u'gaps', ['CoverageProduct'])

        # Adding model 'CoverageProject'
        db.create_table(u'gaps_coverageproject', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=256)),
            ('product', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['gaps.CoverageProduct'])),
        ))
        db.send_create_signal(u'gaps', ['CoverageProject'])

        # Adding model 'CoverageBuild'
        db.create_table(u'gaps_coveragebuild', (
            (u'jenkinsbuild_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['common.JenkinsBuild'], unique=True, primary_key=True)),
            ('project', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['gaps.CoverageProject'])),
        ))
        db.send_create_signal(u'gaps', ['CoverageBuild'])

        # Adding model 'CoverageData'
        db.create_table(u'gaps_coveragedata', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('url', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('xml_file', self.gf('django.db.models.fields.TextField')()),
            ('line_coverage', self.gf('django.db.models.fields.DecimalField')(max_digits=20, decimal_places=3)),
            ('branch_coverage', self.gf('django.db.models.fields.DecimalField')(max_digits=20, decimal_places=3)),
            ('line_count', self.gf('django.db.models.fields.IntegerField')()),
            ('hit_count', self.gf('django.db.models.fields.IntegerField')()),
            ('taken_count', self.gf('django.db.models.fields.IntegerField')()),
            ('total_count', self.gf('django.db.models.fields.IntegerField')()),
            ('coverage_build', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['gaps.CoverageBuild'])),
        ))
        db.send_create_signal(u'gaps', ['CoverageData'])


    def backwards(self, orm):
        # Deleting model 'CoverageProduct'
        db.delete_table(u'gaps_coverageproduct')

        # Deleting model 'CoverageProject'
        db.delete_table(u'gaps_coverageproject')

        # Deleting model 'CoverageBuild'
        db.delete_table(u'gaps_coveragebuild')

        # Deleting model 'CoverageData'
        db.delete_table(u'gaps_coveragedata')


    models = {
        u'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'assignee': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'importance': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'project': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsbuild': {
            'Meta': {'unique_together': "(('job', 'build_number'),)", 'object_name': 'JenkinsBuild', 'db_table': "'jenkins_builds'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'build_bugs'", 'symmetrical': 'False', 'to': u"orm['common.Bug']"}),
            'build_description': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'failed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.JenkinsJob']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob', 'db_table': "'jenkins_jobs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '4096'})
        },
        u'gaps.coveragebuild': {
            'Meta': {'object_name': 'CoverageBuild', '_ormbases': [u'common.JenkinsBuild']},
            u'jenkinsbuild_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['common.JenkinsBuild']", 'unique': 'True', 'primary_key': 'True'}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gaps.CoverageProject']"})
        },
        u'gaps.coveragedata': {
            'Meta': {'object_name': 'CoverageData'},
            'branch_coverage': ('django.db.models.fields.DecimalField', [], {'max_digits': '20', 'decimal_places': '3'}),
            'coverage_build': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gaps.CoverageBuild']"}),
            'hit_count': ('django.db.models.fields.IntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'line_count': ('django.db.models.fields.IntegerField', [], {}),
            'line_coverage': ('django.db.models.fields.DecimalField', [], {'max_digits': '20', 'decimal_places': '3'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'taken_count': ('django.db.models.fields.IntegerField', [], {}),
            'total_count': ('django.db.models.fields.IntegerField', [], {}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'xml_file': ('django.db.models.fields.TextField', [], {})
        },
        u'gaps.coverageproject': {
            'Meta': {'object_name': 'CoverageProject'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'product': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gaps.CoverageProduct']"})
        },
        u'gaps.coverageproduct': {
            'Meta': {'object_name': 'CoverageProduct'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        }
    }

    complete_apps = ['gaps']
