# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting field 'CoverageProject.product'
        db.delete_column(u'gaps_coverageproject', 'product_id')

        # Adding M2M table for field product on 'CoverageProject'
        db.create_table(u'gaps_coverageproject_product', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('coverageproject', models.ForeignKey(orm[u'gaps.coverageproject'], null=False)),
            ('coverageproduct', models.ForeignKey(orm[u'gaps.coverageproduct'], null=False))
        ))
        db.create_unique(u'gaps_coverageproject_product', ['coverageproject_id', 'coverageproduct_id'])


    def backwards(self, orm):

        # User chose to not deal with backwards NULL issues for 'CoverageProject.product'
        raise RuntimeError("Cannot reverse this migration. 'CoverageProject.product' and its values cannot be restored.")
        # Removing M2M table for field product on 'CoverageProject'
        db.delete_table('gaps_coverageproject_product')


    models = {
        u'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'assignee': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'importance': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'project': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsbuild': {
            'Meta': {'unique_together': "(('job', 'build_number'),)", 'object_name': 'JenkinsBuild', 'db_table': "'jenkins_builds'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'build_bugs'", 'symmetrical': 'False', 'to': u"orm['common.Bug']"}),
            'build_description': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'failed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.JenkinsJob']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob', 'db_table': "'jenkins_jobs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '4096'})
        },
        u'gaps.coveragebuild': {
            'Meta': {'object_name': 'CoverageBuild', '_ormbases': [u'common.JenkinsBuild']},
            u'jenkinsbuild_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['common.JenkinsBuild']", 'unique': 'True', 'primary_key': 'True'}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gaps.CoverageProject']"})
        },
        u'gaps.coveragedata': {
            'Meta': {'object_name': 'CoverageData'},
            'branch_coverage': ('django.db.models.fields.DecimalField', [], {'max_digits': '20', 'decimal_places': '3'}),
            'coverage_build': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gaps.CoverageBuild']"}),
            'hit_count': ('django.db.models.fields.IntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'line_count': ('django.db.models.fields.IntegerField', [], {}),
            'line_coverage': ('django.db.models.fields.DecimalField', [], {'max_digits': '20', 'decimal_places': '3'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'taken_count': ('django.db.models.fields.IntegerField', [], {}),
            'total_count': ('django.db.models.fields.IntegerField', [], {}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'xml_file': ('django.db.models.fields.TextField', [], {})
        },
        u'gaps.coverageproject': {
            'Meta': {'object_name': 'CoverageProject'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'product': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['gaps.CoverageProduct']", 'symmetrical': 'False'})
        },
        u'gaps.coverageproduct': {
            'Meta': {'object_name': 'CoverageProduct'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        }
    }

    complete_apps = ['gaps']
