function create_gaps_line_chart(data_url) {
    d3.json(data_url, function(data) {
        nv.addGraph(function() {
            var chart = nv.models.lineChart()
            .width(1100).height(400);
            chart.forceY([0, 1]);
            chart.xAxis
            .axisLabel('Date')
            .tickFormat(function(d){return d3.time.format('%Y%m%d')(new Date(d * 1000));})

            chart.yAxis
            .axisLabel('%')
            .tickFormat(d3.format('%'))
            d3.select('#line-chart svg').datum(data).transition().duration(500).call(chart);

            nv.utils.windowResize(chart.update);

            return chart;
        }); //d3.json
    }); //addGraph
}  //create_gaps_chart
