
from mock import patch, MagicMock

from django.test import TestCase

from gaps.util.add import (
    get_last_build_number_for_jenkins_job,
    CoverageData,
)


class GetLastBuildTestCase(TestCase):

    def setUp(self):
        super(GetLastBuildTestCase, self).setUp()
        self.coveragedata_mock = MagicMock(
            spec=CoverageData)
        coveragedata_patch = patch(
            'gaps.util.add.CoverageData',
            new=self.coveragedata_mock)
        coveragedata_patch.start()
        self.addCleanup(coveragedata_patch.stop)

    def test_get_last_build_number_for_jenkins_job(self):
        """The list of builds is [1, 2]."""
        first_build = MagicMock(build_number=1)
        second_build = MagicMock(build_number=2)
        # ok I agree this is evil
        self.coveragedata_mock.objects = MagicMock(
            filter=MagicMock(
                return_value=MagicMock(
                    order_by=MagicMock(
                        return_value=[
                            first_build,
                            second_build,
                        ],
                    )
                )
            )
        )
        self.assertEqual(
            [1],
            get_last_build_number_for_jenkins_job("what_me_workie?"),
        )
