
import logging

from gaps import PRODUCTS_TO_PROJECTS as products_to_projects
from gaps.util.add import records
from gaps.util.cu2d import generate_jenkins_job_names
from qa_dashboard.settings import (
    JENKINS_URL,
    CU2D_DEFAULT_CONFIG_DIR,
    CU2D_STACKS_DIR,
)

logger = logging.getLogger('qa_dashboard')


def get_coverage(just_last_build=False):
    # read the config and get a list of products
    # TODO for the moment we'll just give a fake list
    logger.info(len(products_to_projects))
    for product in products_to_projects:
        for lp_project_name in product['lp_project_names']:
            jenkins_job_names = generate_jenkins_job_names(
                CU2D_DEFAULT_CONFIG_DIR,
                CU2D_STACKS_DIR,
                lp_project_name
            )
            logger.info("FINISHED GENERATING NAMES FOR {}.".format(lp_project_name))
            for jenkins_job_name in jenkins_job_names:
                records(
                    product['name'],
                    lp_project_name,
                    jenkins_job_name,
                    'coverage.xml',
                    just_last_build=just_last_build,
                )
